Subject: Re: bug#31492: 26.1; query-replace-regexp undo fails in regexps w/o printable chars

From: Tino Calancha <[email-masked]>
Date: Fri, 18 May 2018 23:22:13 +0900 (JST)

On Fri, 18 May 2018, Eli Zaretskii wrote:

>> From: Tino Calancha <[email-masked]>
>> Date: Fri, 18 May 2018 22:27:36 +0900
>>
>> emacs -Q
>>
>> < C-M-% \b RET foo RET TAB TAB TAB
>> U ; undo all replacements
>> ;; Nothing is undid :-(
>
> I'm probably missing something, because I cannot reproduce the problem
> I guess the explanation is in what does "<" mean and, more
'<' stands for `beginning-of-buffer'.  Then you have text to replace in 
the *scratch* buffer.  Otherwise you at the end of the buffer and my
regexp cannot match.